﻿using Syncfusion.UI.Xaml.Grid;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Interactivity;

namespace SfDataGridDemo
{
    public class SfAutoGenerateColumns : Behavior<SfDataGrid>
    {
        protected override void OnAttached()
        {
         
            AssociatedObject.AutoGeneratingColumn += AssociatedObject_AutoGeneratingColumn;
        }

        void AssociatedObject_AutoGeneratingColumn(object sender, AutoGeneratingColumnArgs e)
        {            
            e.Column.AllowFocus = false;

            if (e.Column.MappingName == "EmployeeArea")
            {
                if (!(e.Column is GridHyperlinkColumn))
                {
                    e.Column = new GridHyperlinkColumn() { MappingName = "EmployeeArea", HeaderText = "Employee Area" };
                }
            }            
        }
        
        protected override void OnDetaching()
        {
            AssociatedObject.AutoGeneratingColumn -= AssociatedObject_AutoGeneratingColumn;
        }
    }    
}
